using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CuXiao.YiBanCuXiaoSheZhi
{
    public partial class W_YiBanCuXiaoSheZhi_Edit
    {
        public W_YiBanCuXiaoSheZhi_Edit()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();
            DWServiceHelp.AddReportService(dw_kh);
            DWServiceHelp.AddReportService(dw_bm);
            string opFlag = Request["curParm1"].ToString();
            this.Title = "一般促销方案设置";
            //if (dw_top.RowCount < 1) {
            //    dw_top.InsertRow(0);
            //}

            if (Request["CURGNQXSTR"] != null)
            {
                if (Request["CURGNQXSTR"].ToString().IndexOf("btn_Edit") < 0)
                {
                    this.cb_2.Enabled = false;
                }
            }
            if (Request["CURFHJB"] != null)
            {
                if ("T".Equals(Request["CURFHJB"].ToString()))
                {
                    this.cb_2.Enabled = false;
                }
            }
            if ("EDIT".Equals(opFlag))
            {

                cb_import.Enabled = false;
            }
            if ("ADD".Equals(opFlag))
            {
                cb_import.Enabled = true;

            }
            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("W_YiBanCuXiaoSheZhi", "/CuXiao/YiBanCuXiaoSheZhi/W_YiBanCuXiaoSheZhi.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_YiBanCuXiaoSheZhi_Edit", "/CuXiao/YiBanCuXiaoSheZhi/W_YiBanCuXiaoSheZhi_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowInsertRowCxfaSpkhBase", "/DangAn/Base/OpenWindowInsertRowCxfaSpkhBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_CXFSSPDR", "/import/W_CXFSSPDR.win.js?JSV=" + AppService.GetJSVesion());
               
            }

            this.IsRegisterScriptFile = false;
        }
    }
}
